import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type DeepSeekOptions = Partial<BaseChatOptions>;
export class DeepSeek extends BaseChat {
  constructor(options: DeepSeekOptions) {
    super({ baseURL: 'https://api.deepseek.com/v1/', ...options } as any);
  }
}
